# Uses of Class
com.logicaldoc.core.security.menu.Menu

Packages that use Menu
Package
Description
com.logicaldoc.core.security.menu
Package for the Menu, a menu represent a graphical element of the user interface

## Uses of Menu in com.logicaldoc.core.security.menu

Methods in com.logicaldoc.core.security.menu that return Menu
Modifier and Type
Method
Description
`Menu`
HibernateMenuDAO.`createPath(long parentId, long tenantId, int type, String path, boolean inheritSecurity)`
`Menu`
MenuDAO.`createPath(long parentId, long tenantId, int type, String path, boolean inheritSecurity)`
Creates the menu for the specified path.
Methods in com.logicaldoc.core.security.menu that return types with arguments of type Menu
Modifier and Type
Method
Description
`List<Menu>`
HibernateMenuDAO.`findByGroupId(long groupId)`
`List<Menu>`
MenuDAO.`findByGroupId(long groupId)`
Finds all menus accessible by the passed group
`List<Menu>`
HibernateMenuDAO.`findByName(Menu parent, String name, boolean caseSensitive)`
`List<Menu>`
HibernateMenuDAO.`findByName(String name)`
`List<Menu>`
MenuDAO.`findByName(Menu parent, String name, boolean caseSensitive)`
Finds all menus by menu text, contained in the parent menu
`List<Menu>`
MenuDAO.`findByName(String name)`
Finds all menus by menu text.
`List<Menu>`
HibernateMenuDAO.`findByNameAndParentId(String name, long parentId)`
`List<Menu>`
MenuDAO.`findByNameAndParentId(String name, long parentId)`
Finds that folder that lies under a specific parent (given by the id) an with a given text(like operator is used)
`List<Menu>`
HibernateMenuDAO.`findByParentId(long parentId, boolean enaledOnly)`
`List<Menu>`
MenuDAO.`findByParentId(long parentId, boolean enabledOnly)`
Finds all children(direct and indirect) by parentId
`List<Menu>`
HibernateMenuDAO.`findByUserId(long userId)`
`List<Menu>`
HibernateMenuDAO.`findByUserId(long userId, long parentId, boolean enabledOnly)`
`List<Menu>`
HibernateMenuDAO.`findByUserId(long userId, long parentId, Integer type, boolean enabledOnly)`
`List<Menu>`
MenuDAO.`findByUserId(long userId)`
Finds authorized menus for a user.
`List<Menu>`
MenuDAO.`findByUserId(long userId, long parentId, boolean enabledOnly)`
Finds direct children of a menu
`List<Menu>`
HibernateMenuDAO.`findChildren(long parentId, long userId)`
`List<Menu>`
HibernateMenuDAO.`findChildren(long parentId, Integer max)`
`List<Menu>`
MenuDAO.`findChildren(long parentId, long userId)`
Finds direct children of a menu accessible by the given user.
`List<Menu>`
MenuDAO.`findChildren(long parentId, Integer max)`
Finds direct children of a menu.
`List<Menu>`
HibernateMenuDAO.`findParents(long menuId)`
`List<Menu>`
MenuDAO.`findParents(long id)`
Returns a List of menus being a parent of the given menu.
Methods in com.logicaldoc.core.security.menu with parameters of type Menu
Modifier and Type
Method
Description
`int`
Menu.`compareTo(Menu other)`
`List<Menu>`
HibernateMenuDAO.`findByName(Menu parent, String name, boolean caseSensitive)`
`List<Menu>`
MenuDAO.`findByName(Menu parent, String name, boolean caseSensitive)`
Finds all menus by menu text, contained in the parent menu
`void`
HibernateMenuDAO.`store(Menu menu)`
Method parameters in com.logicaldoc.core.security.menu with type arguments of type Menu
Modifier and Type
Method
Description
`void`
HibernateMenuDAO.`deleteAll(Collection<Menu> menus)`